+ Antworten
Ergebnis 1 bis 7 von 7

Thema: Kategorielisten nicht mehr angezeigt

  1. #1
    Neu an Board Avatar von Ralyx
    Registriert seit
    25.04.2009
    Beiträge
    11
    Bedankte sich
    11
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard Kategorielisten nicht mehr angezeigt

    Hallo,

    nach Umstellung auf Joomla 3.9.0 werden auf mehreren meiner Websites Kategorielisten nicht mehr angezeigt. Hier ein Beispiel:

    Kategorieliste, nicht angezeigt:

    http://www.nabu-burgwald.de/meldungen/testmenue.html


    Kategorieblog, angezeigt:

    http://www.nabu-burgwald.de/meldungen.html

    Es ist übrigens egal, ob sich ein Menü auf der obersten oder einer niedrigeren Ebene befindet. Am Template kann's nicht liegen. Ich habe auf unterschiedlichen Seiten, die mit unterschiedlichsten Templates laufen, das gleiche Phänomen.

    Probehalber habe ich mal eine Kategorieliste auf einer Website mit der Version 3.8.12 erstellt, hier funktioniert alles:

    http://fahrradprojekt.it-social.de/tourberichte.html

    Hat jemand eine Idee?

    Grüße, Reinhold

  2. #2
    Gute Seele des Boards Avatar von NinjaTurtle
    Registriert seit
    24.11.2012
    Ort
    Willich
    Alter
    53
    Beiträge
    17.467
    Bedankte sich
    642
    Erhielt 4.514 Danksagungen
    in 4.299 Beiträgen

    Standard

    In der Konfiguration "Fehler berichten "auf "Maximum" stellen und dann die dann wohl nicht mehr weiße Seite erneut aufrufen und den Fehler hier posten.

    Neue Webseite mit Joomla - Relaunch einer Joomla-Seite - Umzug?
    Erstellung, Betreuung, Backups, Updates und Hosting - Monatliche Zahlweise!
    WebMonkeyDesign


  3. Erhielt Danksagungen von:


  4. #3
    Gehört zum Inventar Avatar von Re:Later
    Registriert seit
    21.04.2014
    Ort
    Berlin
    Beiträge
    5.673
    Bedankte sich
    152
    Erhielt 2.207 Danksagungen
    in 1.977 Beiträgen

    Standard

    Nur zur Info:
    Das wird vermutlich auf ein defektes Content/Inhalts- oder System-Plugin rauslaufen, denke ich.
    Ich habe dazu gerade mal die Frage gestellt, warum eigentlich Plugins aufgerufen werden, wenn der Kategorie-Titel ausgegeben wird:
    https://github.com/joomla/joomla-cms/issues/22941

    (Trotzdem sollte das Plugin nat. identifiziert werden wie NinjaTurtle schreibt.)
    Joomlafachmann: https://www.ghsvs.de

  5. Erhielt Danksagungen von:


  6. #4
    Neu an Board Avatar von Ralyx
    Registriert seit
    25.04.2009
    Beiträge
    11
    Bedankte sich
    11
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Nach der Konfigurationseinstellung auf > Fehler > Maximum erscheint folgende Meldung:

    Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /var/www/virtual/nabu-burgwald.de/htdocs/libraries/cms/html/content.php on line 74

    Danke für die bisherigen, sehr schnellen Antworten, Reinhold

  7. #5
    Gute Seele des Boards Avatar von NinjaTurtle
    Registriert seit
    24.11.2012
    Ort
    Willich
    Alter
    53
    Beiträge
    17.467
    Bedankte sich
    642
    Erhielt 4.514 Danksagungen
    in 4.299 Beiträgen

    Standard

    Schau mal nach, ob das passt

    https://stackoverflow.com/questions/...bject-operator

    The issue is on the third line:

    if(this->_query

    Should be:

    if($this->_query

    Ansonsten auf RE:Later warten

    Neue Webseite mit Joomla - Relaunch einer Joomla-Seite - Umzug?
    Erstellung, Betreuung, Backups, Updates und Hosting - Monatliche Zahlweise!
    WebMonkeyDesign


  8. Erhielt Danksagungen von:


  9. #6
    Gehört zum Inventar Avatar von Re:Later
    Registriert seit
    21.04.2014
    Ort
    Berlin
    Beiträge
    5.673
    Bedankte sich
    152
    Erhielt 2.207 Danksagungen
    in 1.977 Beiträgen

    Standard

    Dann hatte ich Unrecht mit meiner Plugin-Idee. Aber ja nicht schlecht, dass ich diesbzgl. mal angefragt habe beim Joomla.

    Verwendest du vielleicht veraltete PHP-Versionen? PHP 5.3 oder so ähnlich?

    Solltest du nicht tun.

    Aber Fix "für Antiquitäten" gibt es hier:
    Rot raus, Grün rein:
    https://github.com/joomla/joomla-cms/pull/22877/files

    oder auf 3.9.1 warten.

    (Nur für mich als Notiz: Der Fehler startet hier: https://github.com/joomla/joomla-cms...ticles.php#L82)
    Joomlafachmann: https://www.ghsvs.de

  10. Erhielt Danksagungen von:


  11. #7
    Neu an Board Avatar von Ralyx
    Registriert seit
    25.04.2009
    Beiträge
    11
    Bedankte sich
    11
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Boah, ich bin beeindruckt. Re:Later hat voll ins Schwarze getroffen. Der Patch funktioniert. Und, ja ich muss zugeben, meine PHP-Version ist veraltet. Das nehme ich zum Anlass, meinem Provider Bescheid zu sagen, dass er bitte auf die eine aktuelle Version umstellen soll. Vorher mache ich natürlich ein Backup.

    Vielen, vielen Dank, Reinhold

+ Antworten

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein